# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name deepseq-generics

%bcond_with tests

# no useful debuginfo for Haskell packages without C sources
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.1.1.2
Release:        1%{?dist}
Summary:        Generics-based normal form reduction for deepseq

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-deepseq-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
%endif
# End cabal-rpm deps

%description
This package provides a "GHC.Generics"-based
'Control.DeepSeq.Generics.genericRnf' function which can be used for providing
a 'rnf' implementation. See the documentation for the 'genericRnf' function in
the "Control.DeepSeq.Generics" module to get started.

The original idea was pioneered in the 'generic-deepseq' package (see
<http://www.haskell.org/pipermail/haskell-cafe/2012-February/099551.html> for
more information).

This package differs from the 'generic-deepseq' package by working in
combination with the existing 'deepseq' package as opposed to defining a
conflicting drop-in replacement for 'deepseq's 'Control.Deepseq' module.

Note: The ability to auto-derive via "GHC.Generics" has been merged into
'deepseq-1.4.0.0'. This package is now still useful for writing code that's
also compatible with older 'deepseq' versions not yet providing
"GHC.Generics"-support.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development
files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%if %{with tests}
%cabal test
%endif


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Thu Jan 15 2015 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.1.1.2-1
- spec file generated by cabal-rpm-0.9.2
